package Gtk2::Notify::Install::Files;

$self = {
          'inc' => '-I/usr/local/include/gdk-pixbuf-2.0 -I/usr/local/include/libpng15 -pthread -I/usr/local/include/glib-2.0 -I/usr/local/include   -Ibuild -Wall',
          'typemaps' => [
                          'notify.typemap'
                        ],
          'deps' => [
                      'Pango',
                      'Glib',
                      'Gtk2',
                      'Cairo'
                    ],
          'libs' => '-lnotify -lgdk_pixbuf-2.0 -lgio-2.0 -lgobject-2.0 -L/usr/local/lib -lglib-2.0 -lintl  '
        };

@deps = @{ $self->{deps} };
@typemaps = @{ $self->{typemaps} };
$libs = $self->{libs};
$inc = $self->{inc};

	$CORE = undef;
	foreach (@INC) {
		if ( -f $_ . "/Gtk2/Notify/Install/Files.pm") {
			$CORE = $_ . "/Gtk2/Notify/Install/";
			last;
		}
	}

	sub deps { @{ $self->{deps} }; }

	sub Inline {
		my ($class, $lang) = @_;
		if ($lang ne 'C') {
			warn "Warning: Inline hints not available for $lang language
";
			return;
		}
		+{ map { (uc($_) => $self->{$_}) } qw(inc libs typemaps) };
	}

1;
